<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ page session="false"%>
<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>

<html>

<head>
<meta http-equiv="Content-Type" content="text/html" charset="UTF-8" />
<title>Home</title>

<link rel="stylesheet" href="/resources/popup.css">
<script src="/resources/js/jquery-3.1.1.min.js"></script>
<script src="/resources/js/jquery.bpopup.min.js"></script>
<script src="http://code.highcharts.com/highcharts.js"></script>
<script src="http://code.highcharts.com/highcharts-3d.js"></script>

<script type="text/javascript">

		function chart(ename,sal) {		

	 	$('#layer_popup').highcharts({

        chart: {
            type: 'column',
            options3d: {
                enabled: true, alpha: 15, beta: 15, viewDistance: 25, depth: 40
            },
            marginTop: 80, marginRight: 40
        },

        title: {
            text: ename+' 연봉 비교 그래프'
        },

        xAxis: {
            categories: ['연봉', '직원평균']
        },

        yAxis: {
            allowDecimals: true, min: 0, title: {
                text: ''
            }
        },

        tooltip: {
            headerFormat: '<b>{point.key}</b><br>',
            pointFormat: '<span style="color:{series.color}">\u25CF</span> {series.name}: {point.y} / {point.stackTotal}'
        },

        plotOptions: {
            column: {
                stacking: 'normal', depth: 40
            }
        },

        series: [{
            name: ename+'연봉',
            data: [Number(sal)],
            stack: 'male'
        }, {
            name: '직원평균',
            data: [0, 1000],
            stack: 'male'
        }]
    }); 
				$('#layer_popup').bPopup();
			
		};
	</script>
	</head>
<body>
	<table>
	<tr><td>이름</td><td>직원번호</td><td>직책</td><td>연봉</td><td>입사일</td></tr>
	
	<c:forEach var = "item" items ="${list }">
	<tr>
	<td width="170px">제 이름은 ${item.ename } 입니다.</td>
	<td><a onclick="chart('${item.ename}','${item.sal }')">${item.empno }</a></td>
	<td>${item.job }</td>
	<td>${item.sal }</td>
	<td>${item.hiredate }</td>
	</tr>
	</c:forEach>
	
	</table>
	
	<div id="layer_popup" class="button_style">
		<span class="layer_close"><span>X</span></span>
			<div class="content">
				 <div id="chart_div"></div> 
			</div>
	</div>
	
</body>
</html>
